eric ide

Issue398

Classification
Title: Eric fails on startup from v21.5 onwards
Type: crash Product: eric6
Process
Priority: high    
Status: closed Resolution: outside project
Superseder: Nosy List: Xavion, detlev
Assigned to: Keywords:

Created on 2021-07-21.01:02:54 by Xavion, last changed by Xavion.

Files
File Name Uploaded Description Remove
eric6_error.log Xavion, 2021-07-21.01:02:54 Runtime crash error log
extra-error.log Xavion, 2021-07-21.20:42:39 Extra error output
Messages (6.0)
msg1500 (view) Author: Xavion Date: 2021-07-22.21:02:05
Thanks for the extra explanation.  The 'debug' output did help.  I had to add 'python-
editorconfig' and 'python-asttokens' as dependencies, and 'python-pip' as a make-
dependency.  I have updated the build script in the AUR accordingly.
msg1499 (view) Author: detlev Date: 2021-07-22.15:11:23
The final sentence should have read 'I changed ...' (= I did change). That means, that the 
latest code in the eric source code repository contains the described changes.

With respect to the extra-error.log I suggest you start eric with the --debug switch in a 
terminal window. This should show why no view manager plugin could be found or 
instantiated.

To make it compatible with the Arch build system you have to name these dependencies in 
your build files. There is nothing specific to be done on my side. If you need some 
special changes I am willing to look at and eventually accept contributions.
msg1498 (view) Author: Xavion Date: 2021-07-21.20:42:39
Thanks for the reply.  I'm assuming your final sentence was meant to read "I will change 
..." rather than "I'd change ...".  In the first case, you'll do it; in the second, 
you're telling me to instead. :-)

Actually, I notice that there's another error output which isn't captured in the log 
file.  I have attached it to this message.  Does this new information make it easier for 
you to diagnose the problem?  If you still think it's the dependencies, is there a way 
to make it (once again) compatible with Arch's build system?
msg1497 (view) Author: detlev Date: 2021-07-21.15:56:57
Unfortunately I am not able to reproduce this issue. eric6 works for me even on Arch 
(actually it is Manjaro). However, please note, that the dependencies have changed with 
release 21.5. Almost all third party packages have been removed and have been added as 
external dependencies the installer script installs via pip.

The same is true for the plug-ins. Therefore I assume, that some prerequisite library for 
one of the checker services is missing causing the background client to fail.

I change the background service a little bit in the hope, that the observed issue might be 
solved by that.
msg1496 (view) Author: Xavion Date: 2021-07-21.01:08:35
I've just had a read of my eric-related emails and the problem has actually existed 
since v21.5.  I have attempted to correct the title to reflect this.

BTW, I didn't bother reporting the problem until now because I thought someone else 
would (earlier).
msg1495 (view) Author: Xavion Date: 2021-07-21.01:02:54
I'm the maintainer of the 'eric' package on the Arch Linux User Repository (AUR).

As of v21.6, eric no longer runs at all.  It crashes on startup, right after displaying 
the splash screen.  I have attached the "eric6_error.log" file as requested.

You can take a look at the installation script I'm using via the "PKGBUILD" link at the 
following URL: https://aur.archlinux.org/packages/eric/
History
Date User Action Args
2021-07-22 21:02:05Xavionsetstatus: new -> closed
resolution: outside project
messages: + msg1500
message_count: 5.0 -> 6.0
2021-07-22 15:11:23detlevsetmessage_count: 4.0 -> 5.0
messages: + msg1499
2021-07-21 20:42:39Xavionsetfiles: + extra-error.log
message_count: 3.0 -> 4.0
messages: + msg1498
2021-07-21 15:56:57detlevsetmessage_count: 2.0 -> 3.0
nosy: + detlev
messages: + msg1497
2021-07-21 01:08:35Xavionsetmessage_count: 1.0 -> 2.0
messages: + msg1496
title: Eric fails on startup from v21.6 onwards -> Eric fails on startup from v21.5 onwards
2021-07-21 01:02:54Xavioncreate